> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Find Projects

POST https://api.virtuoussoftware.com/api/Project/Search
Content-Type: application/json

Reference: https://virtuous.ferndocs.com/reference/crm-plus/projects/find-projects

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Query parameters

- `skip` (integer, optional) — How many items to skip.
- `take` (integer, optional) — How many items to take.

### Body (application/json)

This endpoint expects an object.

- `search` (string, optional)

## Response

### 200

OK

- `list` (list of ApiProjectSearchPostResponsesContentApplicationJsonSchemaListItems, optional)
- `total` (string, optional)

## Errors

### 400 Bad Request Error

BadRequest

- `any`

## Types

### ApiProjectSearchPostResponsesContentApplicationJsonSchemaListItems

- `id` (string, optional)
- `name` (string, optional)
- `projectCode` (string, optional)
- `externalAccountingCode` (string, optional)
- `onlineDisplayName` (string, optional)
- `description` (string, optional)
- `photoUrl` (string, optional)
- `parentId` (string, optional)
- `parentName` (string, optional)
- `isSubProject` (string, optional)
- `inventoryStatus` (string, optional)
- `type` (string, optional)
- `location` (string, optional)
- `isRestrictedToGiftSpecifications` (string, optional)
- `isLimitedToFinancialNeed` (string, optional)
- `isPublic` (string, optional)
- `isActive` (string, optional)
- `isAvailableOnline` (string, optional)
- `isTaxDeductible` (string, optional)
- `treatAsAccountsPayable` (string, optional)
- `beginningBalance` (string, optional)
- `currentBalance` (string, optional)
- `financialNeedType` (string, optional)
- `financialNeedFrequency` (string, optional)
- `financialNeedAmount` (string, optional)
- `startDate` (string, optional)
- `endDate` (string, optional)
- `durationType` (string, optional)
- `lifeToDateGiving` (string, optional)
- `lifeToDateGiftCount` (string, optional)
- `lifeToDateGiversCount` (string, optional)
- `lifeToDateExpenseTotal` (string, optional)
- `calendarYearToDateGiving` (string, optional)
- `calendarYearToDateGiftCount` (string, optional)
- `calendarYearToDateGiversCount` (string, optional)
- `calendarYearToDateExpenseTotal` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `giftSpecifications` (list of ApiProjectSearchPostResponsesContentApplicationJsonSchemaListItemsGiftSpecificationsItems, optional)
- `customFields` (string, optional)

### ApiProjectSearchPostResponsesContentApplicationJsonSchemaListItemsGiftSpecificationsItems

- `amount` (string, optional)
- `frequency` (string, optional)

## Examples

**Request**

```json
{
  "search": "<string>"
}
```

**Response**

```json
{
  "list": [
    {
      "id": "<integer>",
      "name": "<string>",
      "projectCode": "<string>",
      "externalAccountingCode": "<string>",
      "onlineDisplayName": "<string>",
      "description": "<string>",
      "photoUrl": "<string>",
      "parentId": "<integer>",
      "parentName": "<string>",
      "isSubProject": "<boolean>",
      "inventoryStatus": "<string>",
      "type": "<string>",
      "location": "<string>",
      "isRestrictedToGiftSpecifications": "<boolean>",
      "isLimitedToFinancialNeed": "<boolean>",
      "isPublic": "<boolean>",
      "isActive": "<boolean>",
      "isAvailableOnline": "<boolean>",
      "isTaxDeductible": "<boolean>",
      "treatAsAccountsPayable": "<boolean>",
      "beginningBalance": "<double>",
      "currentBalance": "<double>",
      "financialNeedType": "<string>",
      "financialNeedFrequency": "<string>",
      "financialNeedAmount": "<double>",
      "startDate": "<dateTime>",
      "endDate": "<dateTime>",
      "durationType": "<string>",
      "lifeToDateGiving": "<double>",
      "lifeToDateGiftCount": "<integer>",
      "lifeToDateGiversCount": "<integer>",
      "lifeToDateExpenseTotal": "<double>",
      "calendarYearToDateGiving": "<double>",
      "calendarYearToDateGiftCount": "<integer>",
      "calendarYearToDateGiversCount": "<integer>",
      "calendarYearToDateExpenseTotal": "<double>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "giftSpecifications": [
        {
          "amount": "<double>",
          "frequency": "<string>"
        },
        {
          "amount": "<double>",
          "frequency": "<string>"
        }
      ],
      "customFields": "<object>"
    },
    {
      "id": "<integer>",
      "name": "<string>",
      "projectCode": "<string>",
      "externalAccountingCode": "<string>",
      "onlineDisplayName": "<string>",
      "description": "<string>",
      "photoUrl": "<string>",
      "parentId": "<integer>",
      "parentName": "<string>",
      "isSubProject": "<boolean>",
      "inventoryStatus": "<string>",
      "type": "<string>",
      "location": "<string>",
      "isRestrictedToGiftSpecifications": "<boolean>",
      "isLimitedToFinancialNeed": "<boolean>",
      "isPublic": "<boolean>",
      "isActive": "<boolean>",
      "isAvailableOnline": "<boolean>",
      "isTaxDeductible": "<boolean>",
      "treatAsAccountsPayable": "<boolean>",
      "beginningBalance": "<double>",
      "currentBalance": "<double>",
      "financialNeedType": "<string>",
      "financialNeedFrequency": "<string>",
      "financialNeedAmount": "<double>",
      "startDate": "<dateTime>",
      "endDate": "<dateTime>",
      "durationType": "<string>",
      "lifeToDateGiving": "<double>",
      "lifeToDateGiftCount": "<integer>",
      "lifeToDateGiversCount": "<integer>",
      "lifeToDateExpenseTotal": "<double>",
      "calendarYearToDateGiving": "<double>",
      "calendarYearToDateGiftCount": "<integer>",
      "calendarYearToDateGiversCount": "<integer>",
      "calendarYearToDateExpenseTotal": "<double>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "giftSpecifications": [
        {
          "amount": "<double>",
          "frequency": "<string>"
        },
        {
          "amount": "<double>",
          "frequency": "<string>"
        }
      ],
      "customFields": "<object>"
    }
  ],
  "total": "<integer>"
}
```

**SDK Code**

```python Projects_findProjects_example
import requests

url = "https://api.virtuoussoftware.com/api/Project/Search"

querystring = {"skip":"1","take":"1"}

payload = { "search": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Projects_findProjects_example
const url = 'https://api.virtuoussoftware.com/api/Project/Search?skip=1&take=1';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"search":"<string>"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Projects_findProjects_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/Project/Search?skip=1&take=1"

	payload := strings.NewReader("{\n  \"search\": \"<string>\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Projects_findProjects_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/Project/Search?skip=1&take=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"search\": \"<string>\"\n}"

response = http.request(request)
puts response.read_body
```

```java Projects_findProjects_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/Project/Search?skip=1&take=1")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"search\": \"<string>\"\n}")
  .asString();
```

```php Projects_findProjects_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.virtuoussoftware.com/api/Project/Search?skip=1&take=1', [
  'body' => '{
  "search": "<string>"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Projects_findProjects_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/Project/Search?skip=1&take=1");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"search\": \"<string>\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Projects_findProjects_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["search": "<string>"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/Project/Search?skip=1&take=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```